Package org.apache.sling.api

# Interface SlingHttpServletResponse

All Superinterfaces:
  `Adaptable`, `javax.servlet.http.HttpServletResponse`, `javax.servlet.ServletResponse`

All Known Subinterfaces:
  `SlingHttpServletResponseResult`

All Known Implementing Classes:
  `JakartaToJavaxResponseWrapper`, `SlingHttpServletResponseWrapper`

@ProviderType @Deprecated public interface SlingHttpServletResponse extends javax.servlet.http.HttpServletResponse, Adaptable
Deprecated.
Use `SlingJakartaHttpServletResponse` instead.
The `SlingHttpServletResponse` defines the interface to assist a servlet in creating and sending a response to the client.

This interface is currently empty and merely exists to parallel the `SlingHttpServletRequest` interface.

Starting with Sling API 2.0.6, this interface also extends the `Adaptable` interface.

## Field Summary

### Fields inherited from interface javax.servlet.http.HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

## Method Summary

### Methods inherited from interface org.apache.sling.api.adapter.Adaptable

`adaptTo`

### Methods inherited from interface javax.servlet.http.HttpServletResponse

`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, getHeader, getHeaderNames, getHeaders, getStatus, getTrailerFields, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setStatus, setTrailerFields`

### Methods inherited from interface javax.servlet.ServletResponse

`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong, setContentType, setLocale`